Bug 185662 - Xen x86_64 kernels in kernel debuginfo package do not contain dwarf symbols
Xen x86_64 kernels in kernel debuginfo package do not contain dwarf symbols
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks: 179629
  Show dependency treegraph
 
Reported: 2006-03-16 14:13 EST by Kiersten (Kerri) Anderson
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version: kernel-debuginfo-2.6.18-1.2257.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-11 16:28:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kiersten (Kerri) Anderson 2006-03-16 14:13:52 EST
Description of problem:
Xen kernels included in the kernel debuginfo package do not contain the dwarf
symbol section.  The symbols are needed to make use of system tap in a guest
environment.

[root@heater02-2 modules]# pwd
/usr/lib/debug/lib/modules
[root@heater02-2 modules]# ls -l */vmlinux
-rwxr-xr-x 1 root root 43561838 Mar 14 15:49 2.6.15-1.2054_FC5kdump/vmlinux
-rwxr-xr-x 1 root root 46039420 Mar 14 15:00 2.6.15-1.2054_FC5/vmlinux
-rwxr-xr-x 1 root root  7470386 Mar 14 15:15 2.6.15-1.2054_FC5xen0/vmlinux
-rwxr-xr-x 1 root root  6521549 Mar 14 15:22 2.6.15-1.2054_FC5xenU/vmlinux

xen0 and xenU are considerably smaller than the kdump and the default kernels on
x86_64

Version-Release number of selected component (if applicable):
[root@heater02-2 modules]# rpm -q kernel-debuginfo
kernel-debuginfo-2.6.15-1.2054_FC5


How reproducible:
every time

Steps to Reproduce:
1. objdump -W /usr/lib/debug/lib/modules/2.6.15-1.2054_FC5xen0/vmlinux
2.
3.
  
Actual results:
Single line showing type of file.

Expected results:
Command should dump the entire dwarf symbol table.

Additional info:
Comment 1 Kiersten (Kerri) Anderson 2006-03-16 14:42:50 EST
From a size perspective, it gets worse.  The module files don't have the symbols
either.  We might want to look at creating kernel specific debuginfo rpms.  I
only want the guest domain kernel debuginfo in a xen guest.  Given the size, I
don't want to take up space in a guest partition for the other kernels.
Comment 2 Dave Anderson 2006-03-22 15:41:07 EST
It should be noted that this is x86_64 only; the x86 xen[0U] vmlinux
files do contain debug data.  

Comment 3 Dave Anderson 2006-03-24 08:41:17 EST
This is essentially a showstopper for x86_64 xen kernel crash dump facility.
Comment 4 Daniel Berrange 2007-01-11 16:28:22 EST
This is fixed in latest updates - kernel-debuginfo  for FC5, or
kernel-xen-debuginfo for FC6 and later.

On FC5:

# uname -m
x86_64
# ls -l */vmlinux
-rwxr-xr-x 1 root root 48539373 Dec 15 18:07 2.6.18-1.2257.fc5kdump/vmlinux
-rwxr-xr-x 1 root root 51788895 Dec 15 16:28 2.6.18-1.2257.fc5/vmlinux
-rwxr-xr-x 1 root root 50289916 Dec 15 17:28 2.6.18-1.2257.fc5xen0/vmlinux
-rwxr-xr-x 1 root root 38282031 Dec 15 17:40 2.6.18-1.2257.fc5xenU/vmlinux
-rwxr-xr-x 1 root root 49817241 Dec 15 16:59 2.6.18-1.2257.fc5xen/vmlinux

And fc6:

# uname -m
x86_64
# ls -l */vmlinux
-rwxr-xr-x 1 root root 54295942 Dec 15 17:43 2.6.18-1.2868.fc6/vmlinux
-rwxr-xr-x 1 root root 51124593 Dec 15 18:01 2.6.18-1.2868.fc6xen/vmlinux


Note You need to log in before you can comment on or make changes to this bug.